<%@ PAGE LANGUAGE="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.IO" %>
<html>
<head>
<style>
td	{
	padding-left: 1em;
	padding-right: 1em;
	font-size: small;

	border-top: 1px solid white;
	border-left: 1px solid white;
	border-bottom: 1px solid black;
	border-right: 1px solid black;
}

.Header	td {
	color: white;
	background-color: #000080;

	border-top: 1px solid white;
	border-left: 1px solid white;
	border-bottom: 1px solid gray;
	border-right: 1px solid gray;
}

.Item	{
	color: black;
	background-color: #ffffcc;
}

.AlternatingItem	{
	color: black;
	background-color: #ffff66;
}

.SelectedItem	{
	color: white;
	background-color: #000080;
}
</style>
<script runat="server">
void Page_Load(object sender, EventArgs e) {
	if (!IsPostBack) {
		datagrid1.DataSource = CreateDataSource();
		datagrid1.DataBind();
	}
}

ICollection CreateDataSource() {
	DirectoryInfo di = new DirectoryInfo(Server.MapPath("."));
	FileInfo[] fi = di.GetFiles();

	DataTable dt = new DataTable();
	DataRow dr;

	dt.Columns.Add(new DataColumn("fileid", typeof(int)));
	dt.Columns.Add(new DataColumn("filename", typeof(String)));
	dt.Columns.Add(new DataColumn("filesize", typeof(long)));
	dt.Columns.Add(new DataColumn("date", typeof(DateTime)));

	for (int i = 0; i < fi.Length; i++) {
		dr = dt.NewRow();
		dr[0] = i;
		dr[1] = fi[i].Name;
		dr[2] = fi[i].Length;
		dr[3] = fi[i].LastWriteTime;
		dt.Rows.Add(dr);
	}

	DataView dv = new DataView(dt);

	return dv;
}
</script>
</head>
<body bgcolor="#333366">

<form runat="server">
	<div align="center">
	<asp:DataGrid id="datagrid1"
		AutoGenerateColumns="false"

		GridLines="None"
		Width="100%"
		CellSpacing="1"

		runat="server">

		<HeaderStyle CssClass="Header" />
		<ItemStyle CssClass="Item" />
		<AlternatingItemStyle CssClass="AlternatingItem" />
		<SelectedItemStyle CssClass="SelectedItem" />

		<Columns>
		<asp:BoundColumn HeaderText="t@C" DataField="filename" />
		<asp:BoundColumn HeaderText="TCY" DataField="filesize" ItemStyle-Width="80px" ItemStyle-HorizontalAlign="right" />
		<asp:BoundColumn HeaderText="XV" DataField="date" ItemStyle-Width="180px" />
		<asp:ButtonColumn CommandName="select" Text="I" ItemStyle-Width="70px" />
		</Columns>
	</asp:DataGrid>
	<asp:Label id="Message" runat="server" />
	</div>
</form>
</body>
</html>
